## drf-haystack 1.5.6

=== requirements.txt ===
Django
Sphinx
coverage
django-haystack
djangorestframework
elasticsearch<2.0.0
nose
sphinx-rtd-theme
urllib3
geopy
tox
unittest2
python-dateutil

=== debian/changelog ===
drf-haystack (1.5.6-1) unstable; urgency=low

  * New upstream release.
  * Disable tests through pybuild. They do require a running elasticsearch
    instance.
  * Clean drf_haystack.egg-info/SOURCES.txt to allow two builds in a row.
  * With tests disabled, remove the following packages from Build-Depends:
    - python-coverage
    - python-django
    - python-django-haystack
    - python-djangorestframework
    - python-elasticsearch
    - python-mock
    - python-nose
    - python-unittest2
    - python3-coverage
    - python3-django
    - python3-django-haystack
    - python3-djangorestframework
    - python3-elasticsearch
    - python3-mock
    - python3-nose
    - python3-unittest2

 -- Michael Fladischer <fladi@debian.org>  Sat, 02 Jan 2016 18:32:19 +0100

drf-haystack (1.5.2-1) unstable; urgency=low

  * Initial release (Closes: #797406).

 -- Michael Fladischer <fladi@debian.org>  Sun, 30 Aug 2015 17:59:01 +0200

=== debian/control ===
Source: drf-haystack
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/drf-haystack.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/drf-haystack.git
Homepage: https://github.com/inonit/drf-haystack
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-djangorestframework-haystack
Architecture: all
Depends: python-django,
         python-django-haystack,
         python-djangorestframework,
         ${misc:Depends},
         ${python:Depends}
Description: Haystack for Django REST Framework
 A small library which tries to simplify integration of Haystack with Django
 REST Framework. Contains a Generic ViewSet, a Serializer and a couple of
 Filters in order to make search as painless as possible.
 .
 It supports several haystack features:
  * Autocomplete
  * GEO Spatial searching
  * Highlighting
  * More Like This

Package: python3-djangorestframework-haystack
Architecture: all
Depends: python3-django,
         python3-django-haystack,
         python3-djangorestframework,
         ${misc:Depends},
         ${python3:Depends}
Description: Haystack for Django REST Framework (Python3 version)
 A small library which tries to simplify integration of Haystack with Django
 REST Framework. Contains a Generic ViewSet, a Serializer and a couple of
 Filters in order to make search as painless as possible.
 .
 It supports several haystack features:
  * Autocomplete
  * GEO Spatial searching
  * Highlighting
  * More Like This
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=djangorestframework-haystack
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## drf-haystack 1.6.1

=== requirements.txt ===
Django>=1.8,<1.11
Sphinx
coverage
django-haystack>=2.5.dev1
djangorestframework>=3.2.0
elasticsearch<2.0.0
nose
sphinx-rtd-theme
urllib3
geopy
tox
unittest2
python-dateutil

=== debian/changelog ===
drf-haystack (1.6.1-1) unstable; urgency=low

  * Upload to unstable.
  * Refresh patches after git-dpm to gbp pq conversion
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Fri, 04 Aug 2017 20:14:38 +0200

drf-haystack (1.6.1-1~exp1) experimental; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Install README.md instead of old one.
  * Add drf_haystack.egg-info/requires.txt to d/clean to allow two
    builds in a row.
  * Use https:// for copyright-format 1.0 URL.
  * Bump Standards-Version to 3.9.8.

 -- Michael Fladischer <fladi@debian.org>  Tue, 21 Mar 2017 13:09:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/drf-haystack.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/drf-haystack.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/drf-haystack.git
 Homepage: https://github.com/inonit/drf-haystack
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3

## drf-haystack 1.8.4

=== debian/changelog ===
drf-haystack (1.8.4-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Mon, 27 Aug 2018 15:07:46 +0200

drf-haystack (1.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Thu, 21 Jun 2018 21:11:26 +0200

drf-haystack (1.8.2-1) unstable; urgency=low

  * New upstream release.
  * Drop patch for DRF 3.8 compatibility, included upstream.

 -- Michael Fladischer <fladi@debian.org>  Fri, 01 Jun 2018 12:47:40 +0200

drf-haystack (1.8.1-2) unstable; urgency=medium

  * Add patch to fix imports for DRF 3.8.
  * Clean up drf_haystack.egg-info/PKG-INFO to allow two builds in a
    row.
  * Bump Standards-Version to 4.1.4.
  * Remove X-Python(3)-Version field as it is no longer applicable.

 -- Michael Fladischer <fladi@debian.org>  Tue, 15 May 2018 17:04:02 +0200

drf-haystack (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Enable autopkgtest-pkg-python testsuite.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Sat, 24 Mar 2018 21:07:20 +0100

=== debian/control ===
Source: drf-haystack
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/drf-haystack
Vcs-Git: https://salsa.debian.org/python-team/modules/drf-haystack.git
Homepage: https://github.com/inonit/drf-haystack
Testsuite: autopkgtest-pkg-python

Package: python-djangorestframework-haystack
Architecture: all
Depends:
 python-django,
 python-django-haystack,
 python-djangorestframework,
 ${misc:Depends},
 ${python:Depends},
Description: Haystack for Django REST Framework
 A small library which tries to simplify integration of Haystack with Django
 REST Framework. Contains a Generic ViewSet, a Serializer and a couple of
 Filters in order to make search as painless as possible.
 .
 It supports several haystack features:
  * Autocomplete
  * GEO Spatial searching
  * Highlighting
  * More Like This

Package: python3-djangorestframework-haystack
Architecture: all
Depends:
 python3-django,
 python3-django-haystack,
 python3-djangorestframework,
 ${misc:Depends},
 ${python3:Depends},
Description: Haystack for Django REST Framework (Python3 version)
 A small library which tries to simplify integration of Haystack with Django
 REST Framework. Contains a Generic ViewSet, a Serializer and a couple of
 Filters in order to make search as painless as possible.
 .
 It supports several haystack features:
  * Autocomplete
  * GEO Spatial searching
  * Highlighting
  * More Like This
 .
 This package contains the Python 3 version of the library.

## drf-haystack 1.8.5

=== debian/changelog ===
drf-haystack (1.8.5-2) unstable; urgency=medium

  * Team upload.
  * Reupload without binaries to allow migration.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 01:23:31 +0500

drf-haystack (1.8.5-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.

 -- Michael Fladischer <fladi@debian.org>  Fri, 19 Jul 2019 10:19:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,36 +5,15 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
- python-all,
- python-setuptools,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/drf-haystack
 Vcs-Git: https://salsa.debian.org/python-team/modules/drf-haystack.git
 Homepage: https://github.com/inonit/drf-haystack
 Testsuite: autopkgtest-pkg-python
-
-Package: python-djangorestframework-haystack
-Architecture: all
-Depends:
- python-django,
- python-django-haystack,
- python-djangorestframework,
- ${misc:Depends},
- ${python:Depends},
-Description: Haystack for Django REST Framework
- A small library which tries to simplify integration of Haystack with Django
- REST Framework. Contains a Generic ViewSet, a Serializer and a couple of
- Filters in order to make search as painless as possible.
- .
- It supports several haystack features:
-  * Autocomplete
-  * GEO Spatial searching
-  * Highlighting
-  * More Like This
 
 Package: python3-djangorestframework-haystack
 Architecture: all

## drf-haystack 1.8.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-pushit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-pushit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-pushit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-pushit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
drf-haystack (1.8.6-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.4.1.

 -- Michael Fladischer <fladi@debian.org>  Mon, 14 Oct 2019 21:00:54 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/drf-haystack
 Vcs-Git: https://salsa.debian.org/python-team/modules/drf-haystack.git
 Homepage: https://github.com/inonit/drf-haystack

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/drf-haystack/drf-haystack-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## drf-haystack 1.8.9

=== debian/changelog ===
drf-haystack (1.8.9-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Oct 2020 18:48:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: drf-haystack
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/python-team/modules/drf-haystack
-Vcs-Git: https://salsa.debian.org/python-team/modules/drf-haystack.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-haystack
+Vcs-Git: https://salsa.debian.org/python-team/packages/drf-haystack.git
 Homepage: https://github.com/inonit/drf-haystack
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-djangorestframework-haystack
 Architecture: all

## drf-haystack 1.8.10

=== debian/changelog ===
drf-haystack (1.8.10-1) unstable; urgency=low

  [ Diego M. Rodriguez ]
  * d/tests: specify import name

  [ Michael Fladischer ]
  * New upstream release.
  * Remove team upload line from current changelog.
  * Bump Standards-Version to 4.6.0.
  * Use uscan version 4.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Sun, 29 Aug 2021 11:08:16 +0000

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/drf-haystack/drf-haystack-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## drf-haystack 1.8.11

=== debian/changelog ===
drf-haystack (1.8.11-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 27 Apr 2022 08:20:00 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-haystack
 Vcs-Git: https://salsa.debian.org/python-team/packages/drf-haystack.git
 Homepage: https://github.com/inonit/drf-haystack

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

## drf-haystack 1.8.13

=== debian/changelog ===
drf-haystack (1.8.13-1) unstable; urgency=low

  * New upstream version 1.8.13
  * Refresh patches.
  * Bump Standards-Version to 4.6.2.
  * Build using pybuild-plugin-pyproject and dh-sequence-python3.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 12 Jan 2024 10:48:46 +0000

## drf-haystack 1.9.1

=== debian/changelog ===
drf-haystack (1.9.1-1) unstable; urgency=medium

  * Team Upload
  * Fix d/watch for new PyPi archive naming policy
  * New upstream version 1.9.1

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 01:22:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-haystack
 Vcs-Git: https://salsa.debian.org/python-team/packages/drf-haystack.git
 Homepage: https://github.com/inonit/drf-haystack
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-djangorestframework-haystack

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/drf-haystack/drf_haystack-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
